package com.malk.kaiyue_cd.service;

import com.malk.server.common.McR;
import org.springframework.scheduling.annotation.Async;

import java.util.List;
import java.util.Map;

public interface KYCDService {
    List<String> getEmployeeUserId();

    List<Map> getEmployeeRosterInfo(Map<String, Object> map);

    @Async
    McR getEmployeeAnnualLeaveNum(Map<String, Object> map);

    /**
     * 每年1月1日 00:00定时更新员工旧职级
     * @return
     */
    McR updateEmployeeOldPositionLevel();

    /**
     * 每年1月1日 01:00定时更新员工年假数
     * @return
     */
    McR updateEmployeeAnnualLeaveNum();

}
